"use strict";

function _isObject(val) {
  return !!val && typeof val === 'object' && typeof val.length === 'undefined';
}

function _allValuesAreObjects(obj) {
  if (obj === void 0) {
    obj = {};
  }

  return Object.keys(obj).every(function (k) {
    return _isObject(obj[k]);
  });
}

function _allValuesFromTransitionsAreStates(obj) {
  if (obj === void 0) {
    obj = {};
  }

  var isInMachine = function isInMachine(transitionState) {
    return Object.prototype.hasOwnProperty.call(obj, transitionState);
  };

  return Object.keys(obj).map(function (state) {
    return obj[state];
  }).every(function (transitions) {
    return Object.keys(transitions).every(function (tstate) {
      return isInMachine(tstate);
    });
  });
}

module.exports = {
  _isObject: _isObject,
  _allValuesAreObjects: _allValuesAreObjects,
  _allValuesFromTransitionsAreStates: _allValuesFromTransitionsAreStates
};